local EEAB = _G.EEAB

function EEAB.Button_MoveItem(this, pickuponly)
	local info = {
		typ		= EEAB.Data(this, "typ"),
		ID		= EEAB.Data(this, "ID"),
		slot	= EEAB.Data(this, "slot"),
	}

	if info.typ == "bag" or info.typ == "itemshop" then
		if EEAB.Count(this, EEAB.Data(this, "typ")) ~= 0 then
			PickupBagItem(info.ID)
		end

	elseif info.typ == "skill" then
		DragSkillButton(info.slot, info.ID)

	elseif info.typ == "emote" then
		DragEmoteItem(info.ID + 1)

	elseif info.typ == "SuitSkill" then
		SkillSuitItemTemplate_Button_OnDragStart(getglobal("SkillSuitFrame_Left_ScrollChildItem"..(info.slot).."_ListSkill"..(info.ID + 1).."_Button"))

	elseif info.typ == "macro" then
		PickupMacroItem(info.ID)

	elseif info.typ == "HappyPartner" then
		PartnerFrame_PickPartner(info.slot, info.ID)

	elseif info.typ == "teleport" then
		TeleportBook.select = info.slot
		TB_PickupItem(info.slot)

	elseif info.typ == "CoolSuit" then
		CoolSuit_Pickup(info.slot)

	elseif info.typ == "equip" then
		PickupEquipmentItem(info.ID)

	elseif typ == "CoolClothBag" then
		CoolClothBag_Pickup(info.ID)
	end

	if not pickuponly then
		EEAB.Data(this, {})

		EEAB.Unregister(this)
		EEAB.Button_Update(this)

		getglobal(this:GetName().."_Cooldown").starting = nil
		getglobal(this:GetName().."_Cooldown"):Hide()
	end

	EEAB.UseMouse = true
end
