local EEAB = _G.EEAB

EEAB.Language = string.upper(GetLanguage())

local comp, err = loadfile(string.format("%s/language/%s.lua", EEAB.Path, EEAB.Language))

if err then
	dofile(EEAB.Path.."language/ENUS.lua")
else
	comp()
end

EEAB.io("#2#, |cffff0000#5#: "..(EEAB.version).."|r (#3#)", 0.5, 0.7, 0.1)

function EEAB.RegisterAddonManager()
	if AddonManager then
		local addon = {
			name = "ExtendedActionBar",
			description = EEAB.Trans(6),
			icon = "Interface/addons/ExtendedActionBar/Icon/normal.tga",
			category = "Other",
			configFrame = ExtendedActionBar_Optionen,
			slashCommands = "/EEAB",
			--miniButton = ExtendedActionBar_AddonManagerButton,
			version = EEAB.version,
			author = "Tinsus",
		}

		if AddonManager.RegisterAddonTable then
			AddonManager.RegisterAddonTable(addon)
		else
			AddonManager.RegisterAddon(addon.name, addon.description, addon.icon, addon.category, addon.configFrame, addon.slashCommands, addon.miniButton, addon.onClickScript, addon.version, addon.author, addon.disableScript, addon.enableScript)
		end
	end
end
